export declare const POPUP_FLAG = "popup_last_seen";
export declare enum MODAL {
    Login = "login",
    Register = "register",
    ForgotPassword = "forgot password",
    Account = "account"
}
export declare enum BLOCK {
    Heading = "header",
    Paragraph = "paragraph",
    Poll = "poll",
    Table = "table",
    List = "list",
    Embed = "embed",
    EditorImage = "editorImage",
    Raw = "raw",
    CollectionItem = "CollectionItem",
    RelatedArticles = "RelatedArticles",
    EditorLiveBlog = "editorLiveBlog",
    EditorGallery = "EditorGallery",
    Quote = "quote",
    Affiliate = "affiliate",
    Event = "event"
}
export declare enum RESOURCE {
    Article = "article",
    Tag = "tag",
    Calendar = "calendar",
    Collection = "collection",
    CollectionItem = "collection-item",
    Url = "url",
    Page = "page",
    Redirect = "redirect",
    Forum = "forum"
}
export declare enum SIZES_OPTIONS {
    NO = "none",
    XS = "xs",
    SM = "sm",
    MD = "md",
    lg = "lg",
    FULL = "full"
}
export declare enum PAGE_CLASSIFICATION {
    Default = "default",
    Home = "home",
    Search = "search",
    NotFound = "notFound",
    Profile = "profile",
    UserPage = "userPage",
    ResetPassword = "resetPassword",
    Author = "author",
    Pages = "pages",
    Tags = "tags",
    Collections = "collections",
    Article = "article",
    Forum = "forum",
    CollectionItem = "collectionItem",
    Calendar = "calendar",
    CollectionItemsSingle = "collectionItemsSingle",
    collectionItemsList = "collectionItemsList"
}
export declare enum PAGE_TYPE {
    Bio = "bio",
    Contact = "contact",
    Community = "community",
    General = "general",
    Forum = "forum"
}
export declare enum BREAKPOINTS {
    SM = 640,
    MD = 768,
    LG = 1024,
    XL = 1280
}
export declare enum AD_POSITIONS {
    HEAD_HOMEPAGE = "HEAD_HOMEPAGE",
    TOP_HOMEPAGE = "TOP_HOMEPAGE",
    BELOW_FEATURED_HOMEPAGE = "BELOW_FEATURED_HOMEPAGE",
    BEFORE_LIST_HOMEPAGE = "BEFORE_LIST_HOMEPAGE",
    SIDEBAR_HOMEPAGE_1 = "SIDEBAR_HOMEPAGE_1",
    SIDEBAR_HOMEPAGE_2 = "SIDEBAR_HOMEPAGE_2",
    SIDEBAR_HOMEPAGE_3 = "SIDEBAR_HOMEPAGE_3",
    SIDEBAR_HOMEPAGE_4 = "SIDEBAR_HOMEPAGE_4",
    AFTER_3_LIST_HOMEPAGE = "AFTER_3_LIST_HOMEPAGE",
    AFTER_FEATURED_HOMEPAGE = "AFTER_FEATURED_HOMEPAGE",
    IN_LIST_HOMEPAGE = "IN_LIST_HOMEPAGE",
    AFTER_LIST_HOMEPAGE = "AFTER_LIST_HOMEPAGE",
    BOTTOM_HOMEPAGE = "BOTTOM_HOMEPAGE",
    FOOTER_HOMEPAGE = "FOOTER_HOMEPAGE"
}
export declare enum ARTICLE_TYPE {
    Regular = "regular",
    LiveBlog = "liveblog",
    Video = "video"
}
export declare enum ARTICLE_HEADLINE {
    Small = "small",
    Big = "big",
    No = "no"
}
export declare enum LIVEBLOG_EVENTS {
    Created = "created",
    Updated = "updated",
    Deleted = "deleted"
}
export declare enum ABGROUP {
    A = "A",
    B = "B"
}
export declare enum ABTESTS {
    ArticleTitle = "ArticleTitle"
}
export declare enum THEMES {
    Default = "default",
    Androidworld = "androidworld",
    Indespiegel = "indespiegel",
    Fr12 = "fr12"
}
export declare enum COMMUNITY_FILTER {
    Weekly = "weekly",
    Monthly = "monthly",
    Total = "total"
}
export declare enum RSS {
    First = "external_rss",
    Second = "second_external_rss"
}
export declare enum VISIBILITY {
    AllPages = "all_pages",
    Hidden = "hidden",
    EverywhereExcept = "everywhere_except",
    NowhereExcept = "nowhere_except"
}
export declare enum NAV_LINK_DESTINATION {
    Same = "same",
    New = "new"
}
export declare enum LAYOUT_TYPE {
    full = "full",
    leftSidebar = "leftSidebar",
    rightSidebar = "rightSidebar",
    fullSidebar = "fullSidebar"
}
export declare enum ARTICLESLIST_LAYOUT_TYPE {
    VERTICAL = "vl",
    HORIZONTAL = "hz",
    GRID = "grid"
}
export declare enum ARTICLES_SCOPE {
    Small = "small",
    Big = "big",
    Dynamic = "dynamic",
    Popular = "popular",
    Latest = "lat",
    BIO = "bio",
    Tags = "by-tag",
    Author = "author",
    XML = "xml"
}
export declare enum ARTICLES_VIEWS {
    Cards = "Cards",
    List = "List",
    Sidebar = "Sidebar"
}
export declare enum ARTICLE_VIEW_TYPES {
    FULL = "full",
    XLARGE = "xl",
    LARGE = "lg",
    MEDIUM = "md",
    SMALL = "sm",
    XSMALL = "xs",
    SUMMARY = "summary",
    DETAILED = "detailed"
}
export declare enum AUTH_TYPE {
    LOGIN = "login",
    REGISTER = "register",
    FORGETPASSWORD = "forgotPassword",
    AUTHENTICATED = "authenticated"
}
export declare enum SIZE {
    XS = "xs",
    SM = "sm",
    MD = "md",
    LG = "lg",
    XL = "xl",
    '2XL' = "2xl",
    '3XL' = "3xl",
    '4XL' = "4xl",
    '5XL' = "5xl",
    '6XL' = "6xl",
    '7XL' = "7xl"
}
export declare enum DEVICE_SIZES {
    DESKTOP = "desktop",
    MOBILE = "mobile"
}
export declare enum GRID_DIMENSIONS {
    'grid-1-to-1' = "grid-1-to-1",
    'grid-1-to-3' = "grid-1-to-3",
    'grid-3-to-1' = "grid-3-to-1",
    'stack' = "stack",
    '80-20' = "80-20"
}
export declare enum DEVIDER_BREADCRUMB {
    'slash' = "slash",
    'arrow' = "arrow",
    'chevron' = "chevron"
}
export declare enum HOMEICON_BREADCRUMB {
    'home' = "home",
    'logo' = "logo"
}
export declare enum HOMETYPE_BREADCRUMB {
    'text' = "text",
    'text&icon' = "text&icon",
    'icon' = "icon"
}
export declare enum TAB_STYLES {
    'style1' = "style1",
    'style2' = "style2",
    'style3' = "style3"
}
export declare enum SMALL_FEATURED_NUM {
    'two' = "two",
    'four' = "four"
}
export declare enum FEATURED_MOBILE {
    'stack' = "stack",
    'slide' = "slide",
    'collect' = "collect"
}
export declare enum ARTICLE_HEADER_TITLE_LOCATION {
    'outside-image' = "outside-image",
    'inside-image' = "inside-image"
}
export declare enum ARTICLE_HEADER_TITLE_ALIGNMENT {
    'top' = "top",
    'bottom' = "bottom"
}
export declare enum Fixture_Status {
    NotStarted = "not_started",
    HalfTime = "half_time",
    FullTime = "full_time",
    ExtraTime = "extra_time",
    Penalties = "penalties",
    FinishedAfterPenalties = "finished_after_penalties",
    Cancelled = "cancelled",
    FinishedAfterExtraTime = "finished-after_extra_time",
    Delayed = "delayed",
    Suspended = "suspended",
    AwaitingUpdate = "awaiting_update"
}
export declare enum FIXTURE_RESULT_SIZE {
    SM = "sm",
    MD = "md",
    LG = "lg"
}
export declare enum FIXTURE_RESULT_LAYOUT {
    HORIZONTAL = "horizontal",
    VERTICAL = "vertical"
}
export declare enum THUMBNAILS_SIZE {
    SM = "sm",
    MD = "md",
    LG = "lg"
}
export declare enum FLEX_ALIGNMENTS {
    START = "start",
    CENTER = "center",
    END = "end"
}
export declare enum CATEGORIES_LIST_TYPE {
    'TAGS' = "tags",
    'CATEGORIES' = "categories"
}
export declare enum CATEGORIES_LIST_SCOPE {
    top = "top",
    alpha = "alpha",
    latest = "latest"
}
export declare enum COLUMNS_COUNT {
    One = "1",
    Two = "2",
    Three = "3"
}
export declare enum MENUS {
    Top = "top-menu",
    Main = "main-menu",
    bottom = "bottom-menu"
}
export declare enum MENUS_SLUGS {
    'main-menu' = "main-menu",
    'secondary-menu' = "secondary-menu",
    'footer-sitemap' = "footer-sitemap",
    'footer-menu' = "footer-menu",
    'mobile-menu' = "mobile-menu",
    'app-main' = "app-main",
    'app-extra' = "app-extra"
}
export declare enum PX_LARGESCREEN {
    '0px' = "lg:px-0",
    '2px' = "lg:px-0.5",
    '4px' = "lg:px-1",
    '8px' = "lg:px-2",
    '12px' = "lg:px-3",
    '16px' = "lg:px-4",
    '20px' = "lg:px-5",
    '24px' = "lg:px-6",
    '28px' = "lg:px-7",
    '32px' = "lg:px-8",
    '36px' = "lg:px-9",
    '40px' = "lg:px-10",
    '44px' = "lg:px-11"
}
export declare enum PX_MOBILESCREEN {
    '0px' = "px-0",
    '2px' = "px-0.5",
    '4px' = "px-1",
    '8px' = "px-2",
    '12px' = "px-3",
    '16px' = "px-4",
    '20px' = "px-5",
    '24px' = "px-6",
    '28px' = "px-7",
    '32px' = "px-8",
    '36px' = "px-9",
    '40px' = "px-10",
    '44px' = "px-11"
}
export declare enum PY_LARGESCREEN {
    '0px' = "lg:py-0",
    '2px' = "lg:py-0.5",
    '4px' = "lg:py-1",
    '8px' = "lg:py-2",
    '12px' = "lg:py-3",
    '16px' = "lg:py-4",
    '20px' = "lg:py-5",
    '24px' = "lg:py-6",
    '28px' = "lg:py-7",
    '32px' = "lg:py-8",
    '36px' = "lg:py-9",
    '40px' = "lg:py-10",
    '44px' = "lg:py-11"
}
export declare enum PY_MOBILESCREEN {
    '0px' = "py-0",
    '2px' = "py-0.5",
    '4px' = "py-1",
    '8px' = "py-2",
    '12px' = "py-3",
    '16px' = "py-4",
    '20px' = "py-5",
    '24px' = "py-6",
    '28px' = "py-7",
    '32px' = "py-8",
    '36px' = "py-9",
    '40px' = "py-10",
    '44px' = "py-11"
}
export declare enum COMMENT_LIKE_ICON {
    THUMBS_UP = "comment thumbsup",
    UP_VOTE = "comment upvote"
}
export declare enum COMMENT_INPUT_STYLE {
    STYLE_1 = "comment-input-style1",
    STYLE_2 = "comment-input-style2",
    STYLE_3 = "comment-input-style3"
}
export declare enum LOAD_MORE_STYLE {
    STYLE_1 = "comment-load-style1",
    STYLE_2 = "comment-load-style2"
}
